VeighNa量化社区
你的开源社区量化交易平台
Member
avatar
加入于:
帖子: 9
声望: 0

description

PS G:\vn-py-3.1.0\examples\veighna_trader> python run.py
Traceback (most recent call last):
File "G:\vn-py-3.1.0\examples\veighna_trader\run.py", line 31, in <module>
from vnpy_optionmaster import OptionMasterApp
File "G:\veighna_studio\lib\site-packages\vnpy_optionmaster__init__.py", line 26, in <module>
from .engine import OptionEngine, APP_NAME
File "G:\veighna_studio\lib\site-packages\vnpy_optionmaster\engine.py", line 32, in <module>
from .pricing import binomial_tree_cython as binomial_tree
File "binomial_tree_cython.pyx", line 1, in init binomial_tree_cython
ValueError: numpy.ndarray size changed, may indicate binary incompatibility. Expected 96 from C header, got 88 from PyObject

Member
avatar
加入于:
帖子: 9
声望: 0

解决方法:升级Numpy
pip install --upgrade numpy

之后跑run.py的时候遇到以下提示,请问可以怎么解决数据方面的服务?
Found invalid metadata in lib G:/veighnastudio/lib/site-packages/PySide6/plugins/imageformats/qpdf.dll: Invalid metadata version
找不到数据服务驱动vnpy
,使用默认的RQData数据服务

Member
avatar
加入于:
帖子: 3254
声望: 218

这是没有配置数据服务的提示,不影响运行

© 2015-2022 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3

沪公网安备 31011502017034号

【用户协议】
【隐私政策】
【免责条款】